%Zv. reg. sist., 2. del, str. 202, primer 3.9
%Nartovanje PID regulatorja

disp 'Pr. f. procesa v fakt. obliki', pause;
ojac=0.02
z=[]
p=[-1;-0.2;-0.1]

disp 'Pretvorba v pol. obliko', pause;
[num,den]=zp2tf(z,p,ojac)

disp 'Bodejev diagram procesa', pause;
figure (1)
bode(num,den)
title('Bode procesa brez regulatorja')

disp 'Zoomiramo del iz Bod. diagr.', pause;
omega=linspace(0.25,0.60,100);

[mag,phase] = bode(num,den,omega); 
mag_db=20*log10(mag);
figure (2)
subplot(211),semilogx(omega,mag_db)
grid
subplot(212),semilogx(omega,phase,omega,-144*ones(1,100),omega,-162*ones(1,100))
grid
title('Zoom')

disp 'Odcitamo znacilne podatke', pause;
omegac=0.41
lomegac=-20.3
lomega2c=-15.5

disp 'Izracunamo ojacenja v linearnem merilu', pause;
Gjomegac=10.^(lomegac/20)
Gjomega2c=10.^(lomega2c/20)


disp 'Izracunamo P regulator, zap. pr. f., odziv na stopnico', pause;
%P regulator
kp=1/Gjomegac
numP=kp
denP=1
[numolP,denolP]=series(num,den,numP,denP)

figure (3)
bode(numolP,denolP,omega)
[magP,phaseP] = bode(numolP,denolP,omega); 
title('P regulator')

[GmP,PmP,WcgP,WcpP] = imargin(magP,phaseP,omega)
GmP_db=20*log10(GmP)

[numclP,denclP]=cloop(numolP,denolP,-1)
t=1:0.5:100;
[xP,yP]=step(numclP,denclP,t);
figure (4);
plot(t,xP)
hold on


disp 'Izracunamo PI regulator, zap. pr. f., odziv na stopnico', pause;
%PI regulator
kp=1/Gjomega2c
Ti=2*pi/omegac
numP=kp
denP=1
numI=kp
denI=[Ti 0]
[numPI,denPI]=parallel(numP,denP,numI,denI)
[numolPI,denolPI]=series(num,den,numPI,denPI)

figure (5)
bode(numolPI,denolPI,omega)
title('PI regulator')

[magPI,phasePI] = bode(numolPI,denolPI,omega); 
[GmPI,PmPI,WcgPI,WcpPI] = imargin(magPI,phasePI,omega)
GmPI_db=20*log10(GmPI)

[numclPI,denclPI]=cloop(numolPI,denolPI,-1)
[xPI,yPI]=step(numclPI,denclPI,t);
figure (4)
plot(t,xPI,'m')



disp 'Izracunamo PID regulator, zap. pr. f., odziv na stopnico', pause;
%PID
kp=1/Gjomega2c
Ti=2*pi/omegac
Td=0.1*Ti
numD=[kp*Td 0]
denD=[0 1]
[numPID,denPID]=parallel(numPI,denPI,numD,denD)
[numolPID,denolPID]=series(num,den,numPID,denPID)

figure (6)
bode(numolPID,denolPID,omega)
title('PID regulator')

[magPID,phasePID] = bode(numolPID,denolPID,omega); 
[GmPID,PmPID,WcgPID,WcpPID] = imargin(magPID,phasePID,omega)
GmPID_db=20*log10(GmPID)

[numclPID,denclPID]=cloop(numolPID,denolPID,-1)
[xPID,yPID]=step(numclPID,denclPID,t);
figure (4)
plot(t,xPID,'c')
hold off



