within ;
model AVS_primer48
  annotation (uses(Modelica(version="3.1")), Diagram(coordinateSystem(
          preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
  Modelica.Mechanics.Rotational.Components.Inertia inertia(J=1)
    annotation (Placement(transformation(extent={{-6,20},{14,40}})));
  Modelica.Mechanics.Rotational.Components.Damper damper(d=1) annotation (
      Placement(transformation(
        extent={{-10,-10},{10,10}},
        rotation=270,
        origin={32,20})));
  Modelica.Mechanics.Rotational.Sources.Torque torque
    annotation (Placement(transformation(extent={{-42,20},{-22,40}})));
  Modelica.Blocks.Sources.Step step
    annotation (Placement(transformation(extent={{-86,20},{-66,40}})));
  Modelica.Mechanics.Rotational.Components.Fixed fixed
    annotation (Placement(transformation(extent={{22,-10},{42,10}})));
equation
  connect(step.y, torque.tau) annotation (Line(
      points={{-65,30},{-44,30}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(torque.flange, inertia.flange_a) annotation (Line(
      points={{-22,30},{-6,30}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(inertia.flange_b, damper.flange_a) annotation (Line(
      points={{14,30},{32,30}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(damper.flange_b, fixed.flange) annotation (Line(
      points={{32,10},{32,5},{32,5},{32,0}},
      color={0,0,0},
      smooth=Smooth.None));
end AVS_primer48;
