within ;
model Control_of_angle
  parameter Modelica.SIunits.Mass m=80 "mass of the load";
  parameter Modelica.SIunits.Radius r=0.5 "Radius of the load";
  annotation (
    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{100,
            100}}),
            graphics),
    experiment(StopTime=50),
    experimentSetupOutput,
    uses(DCDriveLIB(version="2"), Modelica(version="3.1")),
    Documentation(info="<html>
<p>Pokazi, da PI tegulator deluje brez pogreska v smislu sledilnega delovanja. Ko pa pride motnja, pa se ta ne odpravi, nato dodamo I clen (na zacetku je TI velik, potem ga zmanjsam in odpravi se pogresek, sicer je prehodni pojav malo slabsi. TI iz 100 na 10.</p>
</html>"));
  Modelica.Mechanics.Rotational.Components.IdealGear IdealGear1(
                                                     ratio=100, useSupport=
        false) 
    annotation (Placement(transformation(extent={{10,6},{30,26}}, rotation=0)));
  Modelica.Mechanics.Rotational.Components.Inertia Load(
                                             J=0.5*m*r^2) 
    annotation (Placement(transformation(extent={{46,6},{66,26}}, rotation=0)));
  DCDriveLIB.DCMotor DCMotor1 
                   annotation (Placement(transformation(extent={{-34,0},{-4,30}},
                  rotation=0)));
  Modelica.Mechanics.Rotational.Sensors.AngleSensor AngleSensor1 
    annotation (Placement(transformation(extent={{72,6},{92,26}}, rotation=0)));
  Modelica.Blocks.Math.Feedback Feedback1 
    annotation (Placement(transformation(extent={{-92,4},{-72,24}}, rotation=
            0)));
  Modelica.Blocks.Sources.Step Step1 annotation (Placement(transformation(
          extent={{-92,44},{-72,64}}, rotation=0)));
  Modelica.Blocks.Continuous.PI PI1(T=1000, k=70) 
    annotation (Placement(transformation(extent={{-66,4},{-46,24}}, rotation=
            0)));
  Modelica.Mechanics.Rotational.Sources.Torque torque 
    annotation (Placement(transformation(extent={{-14,62},{6,82}})));
  Modelica.Blocks.Sources.Step Step2(startTime=10, height=-20) 
                                     annotation (Placement(transformation(
          extent={{-54,70},{-34,90}}, rotation=0)));
  Modelica.Mechanics.Rotational.Components.Damper damper(d=5000) annotation (
      Placement(transformation(
        extent={{-10,-10},{10,10}},
        rotation=270,
        origin={38,38})));
  Modelica.Mechanics.Rotational.Components.Fixed fixed annotation (Placement(
        transformation(
        extent={{-10,-10},{10,10}},
        rotation=180,
        origin={38,60})));
equation
  connect(Load.flange_b,AngleSensor1.flange) 
    annotation (Line(points={{66,16},{66,16},{72,16}},
                                               color={0,0,0}));
  connect(AngleSensor1.phi,Feedback1.u2)           annotation (Line(points={{93,16},
          {96,16},{96,-24},{-82,-24},{-82,6}},        color={0,0,255}));
  connect(Step1.y,Feedback1.u1)             annotation (Line(points={{-71,54},
          {-62,54},{-62,30},{-94,30},{-94,14},{-90,14}}, color={0,0,255}));
  connect(Feedback1.y,PI1.u) 
    annotation (Line(points={{-73,14},{-70,14},{-68,14}},
                                                 color={0,0,255}));
  connect(PI1.y,       DCMotor1.inPort1) annotation (Line(points={{-45,14},{
          -35.4,14},{-35.4,14.7},{-33.7,14.7}},   color={0,0,255}));
  connect(torque.flange, IdealGear1.flange_a) annotation (Line(
      points={{6,72},{6,16},{10,16}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(Step2.y, torque.tau) annotation (Line(
      points={{-33,80},{-24,80},{-24,72},{-16,72}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(IdealGear1.flange_b, Load.flange_a) annotation (Line(
      points={{30,16},{46,16}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(damper.flange_b, Load.flange_a) annotation (Line(
      points={{38,28},{38,16},{46,16}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(damper.flange_a, fixed.flange) annotation (Line(
      points={{38,48},{38,60}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(DCMotor1.Flange_b1, IdealGear1.flange_a) annotation (Line(
      points={{-4,15},{10,15},{10,16}},
      color={0,0,0},
      smooth=Smooth.None));
end Control_of_angle;
