within ;
model DCmotor "Regulacija zasuka, Primer 8.1"
  parameter Real Ra=0.5 "upornost rotorja";
  parameter Real La=1.5E-03 "induktivnost rotorja";
  parameter Real k2=0.05 "momentna konstanta";
  parameter Real k3=0.05 "indukcijska konstanta";
  parameter Real k1=0.4 "P regulator + ojacevalnik";
  parameter Real J=0.00025 "vztrajnostni moment";
  parameter Real b=0.0001 "dusenje";
  parameter Real r=1 "zeleni zasuk";
  parameter Real a=0 "aktivnost povratne zanke";
Real T;
Real ia;
Real iad;
Real theta;
Real thetad;
Real thetadd;
Real e;

equation
T=k2*ia;
La*iad+Ra*ia+k3*thetad=k1*e;
J*thetadd+b*thetad=T;
iad=der(ia);
thetad=der(theta);
thetadd=der(thetad);
e=r-a*theta;

  annotation (uses(Modelica(version="3.1")));
end DCmotor;
