within ;
model P_control_damping
  parameter Modelica.SIunits.Mass m=80 "mass of the load";
  parameter Modelica.SIunits.Radius r=0.5 "Radius of the load";
  annotation (
    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{100,
            100}}),
            graphics),
    experiment(StopTime=50),
    experimentSetupOutput,
    uses(DCDriveLIB(version="2"), Modelica(version="3.1")),
    Documentation(info="<html>
<p>Poka?i, da najprej ni du&scaron;enja, potem pa doda&scaron; du&scaron;enje ali z d=2   ali z Td=10</p>
</html>"));
  Modelica.Mechanics.Rotational.Components.Inertia Load(
                                             J=0.5*m*r^2) 
    annotation (Placement(transformation(extent={{20,6},{40,26}}, rotation=0)));
  Modelica.Mechanics.Rotational.Sensors.AngleSensor AngleSensor1 
    annotation (Placement(transformation(extent={{60,6},{80,26}}, rotation=0)));
  Modelica.Blocks.Math.Feedback Feedback1 
    annotation (Placement(transformation(extent={{-92,6},{-72,26}}, rotation=
            0)));
  Modelica.Blocks.Sources.Step Step1 annotation (Placement(transformation(
          extent={{-92,44},{-72,64}}, rotation=0)));
  Modelica.Mechanics.Rotational.Sources.Torque torque 
    annotation (Placement(transformation(extent={{-32,6},{-12,26}})));
  Modelica.Blocks.Continuous.PID PID(
    Ti=10000,
    Td=0,
    k=0.5) annotation (Placement(transformation(extent={{-64,6},{-44,26}})));
  Modelica.Mechanics.Rotational.Components.Fixed fixed annotation (Placement(
        transformation(
        extent={{-10,-10},{10,10}},
        rotation=180,
        origin={2,72})));
  Modelica.Mechanics.Rotational.Components.Damper damper(d=0)  annotation (
      Placement(transformation(
        extent={{-10,-10},{10,10}},
        rotation=90,
        origin={2,50})));
equation
  connect(Load.flange_b,AngleSensor1.flange) 
    annotation (Line(points={{40,16},{40,16},{60,16}},
                                               color={0,0,0}));
  connect(AngleSensor1.phi,Feedback1.u2)           annotation (Line(points={{81,16},
          {110,16},{110,-24},{-82,-24},{-82,8}},      color={0,0,255}));
  connect(Step1.y,Feedback1.u1)             annotation (Line(points={{-71,54},{
          -62,54},{-62,30},{-94,30},{-94,16},{-90,16}},  color={0,0,255}));
  connect(torque.flange, Load.flange_a) annotation (Line(
      points={{-12,16},{20,16}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(PID.y, torque.tau) annotation (Line(
      points={{-43,16},{-34,16}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(Feedback1.y, PID.u) annotation (Line(
      points={{-73,16},{-66,16}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(damper.flange_a, torque.flange) annotation (Line(
      points={{2,40},{2,16},{-12,16}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(fixed.flange, damper.flange_b) annotation (Line(
      points={{2,72},{2,66},{2,60},{2,60}},
      color={0,0,0},
      smooth=Smooth.None));
end P_control_damping;
