within ;
model Three_charts
  annotation (uses(Modelica(version="3.1")),   Diagram(graphics),
    experiment(StopTime=100),
    experimentSetupOutput,
    version="1",
    conversion(from(version="", script="ConvertFromThree_charts_.mos")));
  Modelica.Mechanics.Translational.Components.Mass Chart1(
                                                      m=1, s(start=1)) 
    annotation (Placement(transformation(extent={{-48,2},{-28,22}}, rotation=0)));
  Modelica.Mechanics.Translational.Components.Mass Chart2(
                                                      m=3) 
    annotation (Placement(transformation(extent={{16,2},{36,22}}, rotation=0)));
  Modelica.Mechanics.Translational.Components.Mass Chart3(
                                                      m=2) 
    annotation (Placement(transformation(extent={{74,2},{94,22}}, rotation=0)));
  Modelica.Mechanics.Translational.Components.Spring Spring1 
    annotation (Placement(transformation(extent={{-80,2},{-60,22}}, rotation=0)));
  Modelica.Mechanics.Translational.Components.Spring Spring2(
                                                  c=2) 
    annotation (Placement(transformation(extent={{-18,4},{4,24}}, rotation=0)));
  Modelica.Mechanics.Translational.Components.Spring Spring3(
                                                  c=4) 
    annotation (Placement(transformation(extent={{48,2},{68,22}}, rotation=0)));
  Modelica.Mechanics.Translational.Components.Fixed fixed 
    annotation (Placement(transformation(
        origin={-86,12},
        extent={{-10,-10},{10,10}},
        rotation=270)));
equation
  connect(fixed.flange,   Spring1.flange_a) 
    annotation (Line(points={{-86,12},{-80,12}}, color={0,127,0}));
  connect(Spring1.flange_b, Chart1.flange_a) 
    annotation (Line(points={{-60,12},{-48,12}}, color={0,127,0}));
  connect(Chart1.flange_b, Spring2.flange_a) annotation (Line(points={{-28,12},
          {-24,12},{-24,14},{-18,14}}, color={0,127,0}));
  connect(Spring2.flange_b, Chart2.flange_a) annotation (Line(points={{4,14},{
          10,14},{10,12},{16,12}}, color={0,127,0}));
  connect(Chart2.flange_b, Spring3.flange_a) 
    annotation (Line(points={{36,12},{48,12}}, color={0,127,0}));
  connect(Spring3.flange_b, Chart3.flange_a) 
    annotation (Line(points={{68,12},{74,12}}, color={0,127,0}));
end Three_charts;
