within ;
model avto
  annotation (
    uses(Modelica(version="3.1")),
    Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,-100},{
            100,100}}), graphics),
    experiment(StopTime=4),
    experimentSetupOutput,
    version="1",
    conversion(from(version="", script="ConvertFromavto_.mos")));
  Modelica.Mechanics.Translational.Components.Mass slidingMass(
                                                           m=500, s(start=0)) 
    annotation (Placement(transformation(
        origin={-46,50},
        extent={{-10,-10},{10,10}},
        rotation=270)));
  Modelica.Mechanics.Translational.Components.Damper damper(
                                                 d=2250) 
    annotation (Placement(transformation(
        origin={-54,16},
        extent={{-10,-10},{10,10}},
        rotation=270)));
  Modelica.Mechanics.Translational.Components.Spring spring(
                                                 c=7500) 
    annotation (Placement(transformation(
        origin={-20,14},
        extent={{-10,-10},{10,10}},
        rotation=270)));
  Modelica.Mechanics.Translational.Components.Spring spring1(
                                                  c=150000) 
    annotation (Placement(transformation(
        origin={-38,-16},
        extent={{-10,-10},{10,10}},
        rotation=270)));
  Modelica.Mechanics.Translational.Sources.Position position
    annotation (Placement(transformation(extent={{-64,-52},{-44,-32}})));
  Modelica.Blocks.Sources.Step step(height=0.01)
    annotation (Placement(transformation(extent={{-100,-52},{-80,-32}})));
equation
  connect(slidingMass.flange_b, damper.flange_a) annotation (Line(points={{-46,
          40},{-54,40},{-54,26}}, color={0,127,0}));
  connect(damper.flange_b, spring1.flange_a) annotation (Line(points={{-54,6},{
          -54,-6},{-38,-6}}, color={0,127,0}));
  connect(slidingMass.flange_b, spring.flange_a) annotation (Line(points={{-46,40},
          {-20,40},{-20,24}},     color={0,127,0}));
  connect(spring.flange_b, spring1.flange_a) annotation (Line(points={{-20,4},{
          -20,-6},{-38,-6}}, color={0,127,0}));
  connect(position.flange, spring1.flange_b) annotation (Line(
      points={{-44,-42},{-38,-42},{-38,-26}},
      color={0,127,0},
      smooth=Smooth.None));
  connect(step.y, position.s_ref) annotation (Line(
      points={{-79,-42},{-66,-42}},
      color={0,0,127},
      smooth=Smooth.None));
end avto;
