within ;
model avto2
  annotation (
    uses(Modelica(version="3.1")),
    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{100,
            100}}),
            graphics),
    experiment(StopTime=4),
    experimentSetupOutput,
    version="1",
    conversion(from(version="", script="ConvertFromavto2_.mos")));
  Modelica.Mechanics.Translational.Components.Mass slidingMass(
                                                           m=500,
    a(start=0, fixed=true),
    v(start=0, fixed=true),
    s(start=-0.05, fixed=true)) 
    annotation (Placement(transformation(
        origin={-40,50},
        extent={{-10,-10},{10,10}},
        rotation=270)));
  Modelica.Mechanics.Translational.Components.Damper damper(
                                                 d=2250) 
    annotation (Placement(transformation(
        origin={-54,16},
        extent={{-10,-10},{10,10}},
        rotation=270)));
  Modelica.Mechanics.Translational.Components.Spring spring1(
                                                  c=150000) 
    annotation (Placement(transformation(
        origin={-40,-16},
        extent={{-10,-10},{10,10}},
        rotation=270)));
  Modelica.Mechanics.Translational.Components.Fixed fixed 
    annotation (Placement(transformation(extent={{-50,-50},{-30,-30}}, rotation=
           0)));
  Modelica.Mechanics.Translational.Components.Spring spring(c=7500) annotation
    (Placement(transformation(
        extent={{-10,-10},{10,10}},
        rotation=270,
        origin={-24,14})));
equation
  connect(slidingMass.flange_b, damper.flange_a) annotation (Line(points={{-40,40},
          {-54,40},{-54,26}},     color={0,127,0}));
  connect(spring1.flange_b,fixed.flange)    annotation (Line(points={{-40,-26},
          {-40,-34},{-40,-40}},
                      color={0,127,0}));
  connect(damper.flange_b, spring1.flange_a) annotation (Line(points={{-54,6},{
          -54,-6},{-40,-6}}, color={0,127,0}));
  connect(slidingMass.flange_b, spring.flange_a) annotation (Line(
      points={{-40,40},{-24,40},{-24,24}},
      color={0,127,0},
      smooth=Smooth.None));
  connect(spring.flange_b, spring1.flange_a) annotation (Line(
      points={{-24,4},{-24,-6},{-40,-6}},
      color={0,127,0},
      smooth=Smooth.None));
end avto2;
