within ;
model avto3
  annotation (
    uses(Modelica(version="3.1")),
    Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},{
            100,100}}),
            graphics),
    experiment(StopTime=4),
    experimentSetupOutput,
    version="1",
    conversion(from(version="", script="ConvertFromavto3_.mos")));
  Modelica.Mechanics.Translational.Components.Mass slidingMass(
                                                           m=500) 
    annotation (Placement(transformation(
        origin={-38,50},
        extent={{-10,-10},{10,10}},
        rotation=270)));
  Modelica.Mechanics.Translational.Components.Damper damper(
                                                 d=3000) 
    annotation (Placement(transformation(
        origin={-54,16},
        extent={{-10,-10},{10,10}},
        rotation=270)));
  Modelica.Mechanics.Translational.Components.Spring spring(
                                                 c=500) 
    annotation (Placement(transformation(
        origin={-20,14},
        extent={{-10,-10},{10,10}},
        rotation=270)));
  Modelica.Mechanics.Translational.Components.Spring spring1(
                                                  c=50000) 
    annotation (Placement(transformation(
        origin={-36,-40},
        extent={{-10,-10},{10,10}},
        rotation=270)));
  Modelica.Mechanics.Translational.Components.Mass slidingMass1(
                                                            m=10) 
    annotation (Placement(transformation(
        origin={-36,-10},
        extent={{-10,-10},{10,10}},
        rotation=270)));
  Modelica.Mechanics.Translational.Sources.Position position 
    annotation (Placement(transformation(extent={{-58,-82},{-38,-62}}, rotation=
           0)));
  Modelica.Blocks.Sources.Step step(height=0.1) 
    annotation (Placement(transformation(extent={{-94,-82},{-74,-62}}, rotation=
           0)));
equation
  connect(slidingMass.flange_b, damper.flange_a) annotation (Line(points={{-38,
          40},{-54,40},{-54,26}}, color={0,127,0}));
  connect(slidingMass.flange_b, spring.flange_a) annotation (Line(points={{-38,40},
          {-20,40},{-20,24}},     color={0,127,0}));
  connect(damper.flange_b, slidingMass1.flange_a) annotation (Line(points={{-54,
          6},{-54,0},{-36,0}}, color={0,127,0}));
  connect(spring.flange_b, slidingMass1.flange_a) annotation (Line(points={{-20,4},
          {-20,0},{-36,0}},    color={0,127,0}));
  connect(slidingMass1.flange_b, spring1.flange_a) annotation (Line(points={{
          -36,-20},{-36,-30}}, color={0,127,0}));
  connect(spring1.flange_b,position.flange)    annotation (Line(points={{-36,
          -50},{-36,-72},{-38,-72}}, color={0,127,0}));
  connect(step.y, position.s_ref) annotation (Line(points={{-73,-72},{-60,-72}},
        color={0,0,127}));
end avto3;
