within ;
model pendulum
  parameter Real m=1;
  parameter Real L=1;
  parameter Real g=9.81;
  parameter Real J=m*L^2;
  parameter Real b=1;
  Real phi(start=0.1);
  Real w;
equation
  der(phi) = w;
  -m*g*sin(phi)*L-b*w*L=J*der(w);
  annotation (experiment(StopTime=10), experimentSetupOutput,
    uses(Modelica(version="3.1")));
end pendulum;
